Bug 496263 (CVE-2009-1307) - CVE-2009-1307 Firefox Same-origin violations when Adobe Flash loaded via view-source: protocol
Summary: CVE-2009-1307 Firefox Same-origin violations when Adobe Flash loaded via view...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-1307
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://web.nvd.nist.gov/view/vuln/det...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-04-17 15:09 UTC by Josh Bressers
Modified: 2019-09-29 12:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-18 17:24:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0436 normal SHIPPED_LIVE Critical: firefox security update 2009-04-22 01:42:27 UTC
Red Hat Product Errata RHSA-2009:0437 normal SHIPPED_LIVE Critical: seamonkey security update 2009-04-21 23:59:24 UTC
Red Hat Product Errata RHSA-2009:1125 normal SHIPPED_LIVE Moderate: thunderbird security update 2009-06-25 15:18:31 UTC
Red Hat Product Errata RHSA-2009:1126 normal SHIPPED_LIVE Moderate: thunderbird security update 2009-06-25 15:07:24 UTC

Description Josh Bressers 2009-04-17 15:09:56 UTC
Security researcher Gregory Fleischer reported that when an Adobe Flash
file is loaded via the view-source: protocol, the Flash plugin
misinterprets the origin of the content as localhost, leading to two
specific vulnerabilities:

   1. The Flash file can bypass restrictions imposed by the crossdomain.xml
mechanism and initiate HTTP requests to arbitrary third-party sites. This
vulnerability could be used by an attacker to perform CSRF attacks against
these sites.
   2. The Flash file, being treated as a local resource, can read and write
Local Shared Objects on a user's machine. This vulnerability could be used
by an attacker to place cookie-like objects on a user's computer and track
them across multiple sites.

Additonally, Fleischer reported that the jar: protocol could be used to
bypass restrictions normally preventing content loaded via view-source:
from being rendered.

Comment 2 errata-xmlrpc 2009-04-21 23:59:47 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 2.1

Via RHSA-2009:0437 https://rhn.redhat.com/errata/RHSA-2009-0437.html

Comment 3 errata-xmlrpc 2009-04-22 01:43:07 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:0436 https://rhn.redhat.com/errata/RHSA-2009-0436.html

Comment 4 Fedora Update System 2009-04-22 20:25:09 UTC
xulrunner-1.9.0.9-1.fc9, firefox-3.0.9-1.fc9, epiphany-extensions-2.22.1-10.fc9, epiphany-2.22.2-10.fc9, blam-1.8.5-8.fc9.1, chmsee-1.0.1-11.fc9, devhelp-0.19.1-11.fc9, evolution-rss-0.1.0-10.fc9, galeon-2.0.7-9.fc9, gnome-python2-extras-2.19.1-26.fc9, gnome-web-photo-0.3-20.fc9, google-gadgets-0.10.5-5.fc9, gtkmozembedmm-1.4.2.cvs20060817-28.fc9, kazehakase-0.5.6-4.fc9.1, Miro-2.0.3-3.fc9, mozvoikko-0.9.5-9.fc9, mugshot-1.2.2-8.fc9, ruby-gnome2-0.17.0-8.fc9, totem-2.23.2-14.fc9, yelp-2.22.1-11.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2009-04-24 19:50:32 UTC
xulrunner-1.9.0.9-1.fc10, firefox-3.0.9-1.fc10, epiphany-extensions-2.24.0-7.fc10, epiphany-2.24.3-5.fc10, blam-1.8.5-9.fc10, devhelp-0.22-7.fc10, galeon-2.0.7-9.fc10, gecko-sharp2-0.13-7.fc10, gnome-python2-extras-2.19.1-29.fc10, gnome-web-photo-0.3-17.fc10, google-gadgets-0.10.5-5.fc10, kazehakase-0.5.6-4.fc10.1, Miro-2.0.3-3.fc10, mozvoikko-0.9.5-9.fc10, mugshot-1.2.2-8.fc10, pcmanx-gtk2-0.3.8-8.fc10, perl-Gtk2-MozEmbed-0.08-5.fc10.2, ruby-gnome2-0.18.1-5.fc10.1, yelp-2.24.0-8.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 errata-xmlrpc 2009-06-25 15:07:38 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1126 https://rhn.redhat.com/errata/RHSA-2009-1126.html

Comment 7 errata-xmlrpc 2009-06-25 15:18:50 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2009:1125 https://rhn.redhat.com/errata/RHSA-2009-1125.html

Comment 8 errata-xmlrpc 2009-06-25 15:26:52 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2009:1125 https://rhn.redhat.com/errata/RHSA-2009-1125.html

Comment 9 Fedora Update System 2009-07-16 06:56:53 UTC
seamonkey-1.1.17-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-07-16 07:10:34 UTC
seamonkey-1.1.17-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.